Technical FAQs

Ask a Question

Is ( A9A26970 ) compatible with old Multi9 ranges?

No it's not compatible.
There are some compatibility issues with Acti9 and the Old range Multi9, so if you have a A9A26970 you have to use it with Acti9 and with Multi9 use 26970.
Was this helpful?
What can we do to improve the information ?